Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.PC.CompositeType

class petsc4py.PETSc.PC.CompositeType

  Bases: `object`

  The composite type.

  Attributes Summary

  `ADDITIVE` | Constant `ADDITIVE` of type `int`
  `MULTIPLICATIVE` | Constant `MULTIPLICATIVE` of type `int`
  `SCHUR` | Constant `SCHUR` of type `int`
  `SPECIAL` | Constant `SPECIAL` of type `int`
  `SYMMETRIC_MULTIPLICATIVE` | Constant `SYMMETRIC_MULTIPLICATIVE` of type `int`

  Attributes Documentation

  ADDITIVE: int = ADDITIVE

    Constant `ADDITIVE` of type `int`

  MULTIPLICATIVE: int = MULTIPLICATIVE

    Constant `MULTIPLICATIVE` of type `int`

  SCHUR: int = SCHUR

    Constant `SCHUR` of type `int`

  SPECIAL: int = SPECIAL

    Constant `SPECIAL` of type `int`

  SYMMETRIC_MULTIPLICATIVE: int = SYMMETRIC_MULTIPLICATIVE

    Constant `SYMMETRIC_MULTIPLICATIVE` of type `int`